npm

Need private packages and team management tools?Check out npm Orgs. »

enumerate-devices-shim

1.0.2 • Public • Published

enumerate-devices-shim

Enable a consistent use of navigator.mediaDevices.enumerateDevices on browsers that support it.

But I thought adapter.js already polyfills this? They do, but this is for those who aren't already using adapter.js but want to polyfill enumerateDevices.

Getting Started

Just install it from npm and require it in your app.

npm install enumerate-devices-shim --save

MediaDevices.enumerateDevices Support

As of May 17, 2016, Firefox 38+, Microsoft Edge, and Chrome 44+ support of enumerateDevices.

install

npm i enumerate-devices-shim

Downloadsweekly downloads

2

version

1.0.2

license

BSD

homepage

github.com

repository

Gitgithub

last publish

collaborators

  • avatar
Report a vulnerability